package cn.ibizhub.demo.demo.controller;

import cn.ibizhub.demo.demo.domain.MANYET;
import cn.ibizhub.demo.demo.service.MANYETService;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.xml.ws.RequestWrapper;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Controller
public class MANYETcontroller {

    @Autowired
    private MANYETService manyetService;

    @RequestMapping(value = "/addMANYET",method = RequestMethod.GET)
    @ResponseBody
    public String addMANYET(@RequestParam("str") String str){

        MANYET manyet = new MANYET();
        manyet.setManyetname(str);

        manyetService.addMANYET(manyet);
        return "end";
    }

    @RequestMapping(value = "/deleteMANYET",method = RequestMethod.GET)
    @ResponseBody
    public String deleteMANYET( @RequestParam("id") String id ){

        MANYET manyet = new MANYET();
        manyet.setManyetid(id);

        manyetService.deleteMANYET(manyet);
        return "end";
    }

    @RequestMapping(value = "/updateMANYET",method = RequestMethod.GET)
    @ResponseBody
    public String updateMANYET(@RequestParam("str") String str,@RequestParam("id") String id){

        MANYET manyet = new MANYET();
        manyet.setManyetid(id);
        manyet.setManyetname(str);
        manyetService.updateMANYET(manyet);
        return "end";
    }

    @RequestMapping(value = "/selectMANYETall",method = RequestMethod.GET)
    @ResponseBody
    public String selectMANYETall(){

        List<MANYET> list = manyetService.selectMANYETall();
        StringBuilder sb = new StringBuilder();
        for (MANYET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }

    @RequestMapping(value = "/selectMANYET",method = RequestMethod.GET)
    @ResponseBody
    public String selectMANYET(@RequestParam("id") String id){

        MANYET manyet = manyetService.selectMANYET(id);
        return manyet.toString();
    }

	@RequestMapping(value = "/selectMANYETManyetnamelike",method = RequestMethod.GET)
    @ResponseBody
    public String selectMANYETManyetnamelike(@RequestParam("str") String str){

        List<MANYET> list = manyetService.findByManyetnameContaining(str);
        StringBuilder sb = new StringBuilder();
        for (MANYET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }

    @RequestMapping(value = "/selectMANYETOneetideq",method = RequestMethod.GET)
    @ResponseBody
    public String selectMANYETOneetideq(@RequestParam("str") String str){

        List<MANYET> list = manyetService.findByOneetid(str);
        StringBuilder sb = new StringBuilder();
        for (MANYET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }


}
